Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 784578 (MFSA-2021-14) - <mail-client/thunderbird{,-bin}-78.10.0 (MFSA-2021-14)
Summary: <mail-client/thunderbird{,-bin}-78.10.0 (MFSA-2021-14)
Status: RESOLVED FIXED
Alias: MFSA-2021-14
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Gentoo Security
URL: https://www.mozilla.org/en-US/securit...
Whiteboard: A2 [glsa+ cve]
Keywords:
Depends on:
Blocks: CVE-2021-23994, CVE-2021-23995, CVE-2021-23998, CVE-2021-23999, CVE-2021-24002, CVE-2021-29945, CVE-2021-29946 CVE-2021-23961
  Show dependency tree
 
Reported: 2021-04-20 21:36 UTC by GLSAMaker/CVETool Bot
Modified: 2021-05-01 00:03 UTC (History)
1 user (show)

See Also:
Package list:
mail-client/thunderbird-78.10.0 *
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description GLSAMaker/CVETool Bot gentoo-dev 2021-04-20 21:36:48 UTC
CVE-2021-29948 (https://nvd.nist.gov/vuln/detail/CVE-2021-29948):
  Race condition when reading from disk while verifying signatures. Signatures
  are written to disk before and read during verification, which might be
  subject to a race condition when a malicious local process or user is
  replacing the file.

CVE-2021-23961 (https://nvd.nist.gov/vuln/detail/CVE-2021-23961):
  ** RESERVED ** This candidate has been reserved by an organization or
  individual that will use it when announcing a new security problem. When the
  candidate has been publicized, the details for this candidate will be
  provided.

CVE-2021-23994 (https://nvd.nist.gov/vuln/detail/CVE-2021-23994):
  Out of bound write due to lazy initialization. A WebGL framebuffer was not
  initialized early enough, resulting in memory corruption and an out of bound
  write.

CVE-2021-23995 (https://nvd.nist.gov/vuln/detail/CVE-2021-23995):
  Use-after-free in Responsive Design Mode. When Responsive Design Mode was
  enabled, it used references to objects that were previously freed. We
  presume that with enough effort this could have been exploited to run
  arbitrary code.

CVE-2021-23998 (https://nvd.nist.gov/vuln/detail/CVE-2021-23998):
  Secure Lock icon could have been spoofed. Through complicated navigations
  with new windows, an HTTP page could have inherited a secure lock icon from
  an HTTPS page.

CVE-2021-23999 (https://nvd.nist.gov/vuln/detail/CVE-2021-23999):
  Blob URLs may have been granted additional privileges. If a Blob URL was
  loaded through some unusual user interaction, it could have been loaded by
  the System Principal and granted additional privileges that should not be
  granted to web content.

CVE-2021-24002 (https://nvd.nist.gov/vuln/detail/CVE-2021-24002):
  Arbitrary FTP command execution on FTP servers using an encoded URL. When a
  user clicked on an FTP URL containing encoded newline characters (%0A and
  %0D), the newlines would have been interpreted as such and allowed arbitrary
  commands to be sent to the FTP server.

CVE-2021-29945 (https://nvd.nist.gov/vuln/detail/CVE-2021-29945):
  Incorrect size computation in WebAssembly JIT could lead to null-reads. The
  WebAssembly JIT could miscalculate the size of a return type, which could
  lead to a null read and result in a crash.
  
  Note: This issue only affected x86-32 platforms. Other platforms are
  unaffected.

CVE-2021-29946 (https://nvd.nist.gov/vuln/detail/CVE-2021-29946):
  Port blocking could be bypassed. Ports that were written as an integer
  overflow above the bounds of a 16-bit integer could have bypassed port
  blocking restrictions when used in the Alt-Svc header.
Comment 1 Larry the Git Cow gentoo-dev 2021-04-25 23:30:26 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=236acb9cc14d9f177ac943a11f60c8e0e0ba88fa

commit 236acb9cc14d9f177ac943a11f60c8e0e0ba88fa
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2021-04-25 23:28:53 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2021-04-25 23:30:12 +0000

    mail-client/thunderbird-bin: security cleanup
    
    Bug: https://bugs.gentoo.org/784578
    Package-Manager: Portage-3.0.18, Repoman-3.0.3
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 mail-client/thunderbird-bin/Manifest               |  66 ----
 .../thunderbird-bin/thunderbird-bin-78.9.1.ebuild  | 378 ---------------------
 2 files changed, 444 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=68eeca89482fde1fd59e553bb6b34917a4525849

commit 68eeca89482fde1fd59e553bb6b34917a4525849
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2021-04-25 23:28:31 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2021-04-25 23:30:12 +0000

    mail-client/thunderbird: security cleanup
    
    Bug: https://bugs.gentoo.org/784578
    Package-Manager: Portage-3.0.18, Repoman-3.0.3
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 mail-client/thunderbird/Manifest                  |   66 --
 mail-client/thunderbird/thunderbird-78.9.1.ebuild | 1100 ---------------------
 2 files changed, 1166 deletions(-)
Comment 2 Thomas Deutschmann gentoo-dev Security 2021-04-30 22:29:04 UTC
New GLSA request filed.
Comment 3 GLSAMaker/CVETool Bot gentoo-dev 2021-05-01 00:03:02 UTC
This issue was resolved and addressed in
 GLSA 202104-09 at https://security.gentoo.org/glsa/202104-09
by GLSA coordinator Thomas Deutschmann (whissi).